[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVEditingEvent

Specifies an event handler signalled when an edit action is started for an item on a list view control.

## Declaration

Source position: comctrls.pp line 1316

`type TLVEditingEvent = procedure(`
`Sender: TObject;`
`Item: TListItem;`
`var AllowEdit: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`Item` |  | TListItem instance for the event notification.
`AllowEdit` |  | Set to True to allow the list item to be edited. Set to False to reject the edit request.

## Description

TLVEditingEvent is the type used to implement the OnEditing event handler in TCustomListView.

## See also

TCustomListView.OnEditing |  | Event handler signalled to determine if editing can be performed for a list item in the control.